%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Function: RCEDUMDAparameters
%
% Authors: Ansel Y. Rodrguez Gonzlez 1,2 (Team Leader) 
%          ngel Daz Pacheco          1,2
%          Ramn Aranda                1,2
%          Miguel . lvarez-Carmona   1,2
%          Yoan Martnez Lpez         4
%          Julio Madera                4
%
% 1 Unidad de Transferencia Tecnolgica Tepic del Centro de Investigacin 
%   Cientfica y de Educacin Superior de Ensenada, Mxico
%
% 2 Consejo Nacional de Ciencia y Tecnologa, Mxico
%
% 4 Universidad de Camagey, Cuba
%
% Modified by AYRG \CICESE 27/06/2023


%if (Select_testbed==1)
    
vRCEDUMDAparameters.I_maxFits       = 4999;                 
vRCEDUMDAparameters.I_repeatEvals   = 2;               

vRCEDUMDAparameters.maxEvals  = 5000; 

vRCEDUMDAparameters.I_lowPop  = 20;
                                      
vRCEDUMDAparameters.I_NP      =                   70;   
vRCEDUMDAparameters.I_itermax =                 1000;   

vRCEDUMDAparameters.I_indByCell =                  2;   
vRCEDUMDAparameters.I_StructureWidth   =          35;   
vRCEDUMDAparameters.I_StructureHeight  =           1;   
vRCEDUMDAparameters.I_NeighborhoodType  =          1;   
vRCEDUMDAparameters.I_NeighborhoodParam =         16;   
           
vRCEDUMDAparameters.I_SelectionMethod   =          1;   
vRCEDUMDAparameters.I_Selected          =         25;   

vRCEDUMDAparameters.I_elitismParam      =         10; 

vRCEDUMDAparameters.I_CodeSize          =          3; 

vRCEDUMDAparameters.I_EstimationParamsMethod =     0;      
vRCEDUMDAparameters.I_EstimationParamsParam  =     0;     

vRCEDUMDAparameters.I_EstimationStructureMethod =  0;   
vRCEDUMDAparameters.I_EstimationStructureParam  =  0;   

vRCEDUMDAparameters.I_ScalerMethod      =          2;   
vRCEDUMDAparameters.I_ScalerParam       =         0.009;


vRCEDUMDAparameters.I_SamplingMethod  =             0;   
vRCEDUMDAparameters.I_SamplingParam   =             0;   

vRCEDUMDAparameters.I_evaluationProxy =              0; 
                                                                                       
%end

%if (Select_testbed==2)
                                                                                     
%end


